Bug 725908 - [RFE] Add ability to create compound alerts that incorporate multiple resources
[RFE] Add ability to create compound alerts that incorporate multiple resources
Status: NEW
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-26 19:22 EDT by Marc Shirley
Modified: 2013-06-28 11:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Shirley 2011-07-26 19:22:31 EDT
Description of problem:
Request to add the capability to create alerts that depend upon multiple resources.  For instance, in a clustered environment where a server only runs on a single node at a time, the alert would be based upon whether all nodes were down, as opposed to only a single node.  If node A was down, but node B was up, the alert would not trigger.  If both node A and node B are down, the alert would trigger.


Version-Release number of selected component (if applicable):
JON 2.4.1
Comment 1 Heiko W. Rupp 2011-07-27 03:01:49 EDT
This needs to be addressed in a larger RFE "Correlation units"
Comment 2 Costel C 2013-06-28 11:24:39 EDT
Hi, 

I saw this page with "Correlation units" as proposal to enhance the alerting:
https://docs.jboss.org/author/display/RHQ/Correlation+Units

Is this topic planned for the near future ?

We are very interested in this topic and we give a big +1 vote for this :).


Regards,
Costel Cosman

Note You need to log in before you can comment on or make changes to this bug.